__WAKE_UP(9)

NAME
__wake_up - wake up threads blocked on a waitqueue.

SYNOPSIS

void fastcall __wake_up (wait_queue_head_t * q, unsigned int mode, int nr_exclusive, void * key);

ARGUMENTS

q   the waitqueue

mode
    which threads

nr_exclusive
    how many wake-one or wake-many threads to wake up

key is directly passed to the wakeup function